Reference
usage
Metered usage of an org, per period. Index · shared schemas · errors.
| Procedure | Summary | REST | MCP tool | Stability |
|---|---|---|---|---|
usage.get | An org's (or one project's) usage for a calendar month, per dimension | GET | — | experimental |
usage.get
An org's (or one project's) usage for a calendar month, per dimension
| REST | GET /v1/usage/get (input as query parameters) |
| RPC | /rpc/v2/usage/get |
| MCP | not a tool (a cloud platform procedure; the cloud MCP surface is the curated device tools); hints: read-only, idempotent |
| Auth | usage:read |
| Tenancy | org |
| Troupe Cloud | answered by the control plane |
| Stability | experimental, since 1.0 |
Input:
{ orgId: OrgId; projectId?: ProjectId; month?: Month }Output:
{
orgId: OrgId
projectId?: ProjectId
month: string
periodStart: Timestamp
periodEnd: Timestamp
lines: { dimension: string; unit: string; quantity: Decimal }[]
}